html,body{
    font-family: sans-serif;
    margin: 0;
    padding: 0;
}

/* :root{

    --color-fond: #1D212C;
    --color-bouton: #2D82B7;
    --color-bouton-hover: #155F8D; 
    --color-texte: #FFFFFF; 
    --color-texte-2: #FFFFFF; 


} */


body{
    /* background-color: #21242C;*/

    background-color: var(--color-fond);
}


/* TOP BAR */

.top-bar{
    position: absolute;
    top: 0;
    padding: 0 10px;
    display: flex;
    width: 99%;
    left: auto;
    right: auto;
    align-items: center;
    justify-content: space-between;
}

div{
    margin-top:18px;
    height: 40px;
    text-align: center;

}

a{
    display: block;
    width: 300px;
    padding: 15px 15px;
    text-decoration: none;
    font-weight: bold;
    /* border-radius: 12px; */

    color: var(--color-texte);
    background-color: var(--color-bouton);

    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

a:hover{
   background-color: var(--color-bouton-hover);
}

h1{
    color: var(--color-texte-2);
    text-align: center;
}

section{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;

}



/* FILTRE */

.filtre{
    display:block;  

}


.filtre ul{
    width: 300px;
    margin: auto;
    display: flex;
    list-style: none;

}

.filtre{
    text-align: left;
}

.btn-filtre{
    padding: 5px;
    border: 1px solid var(--color-texte-2);
    color: var(--color-texte-2);
    cursor: pointer;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;

    
}

.btn-filtre:hover{
    background-color: var(--color-bouton-hover);
    color: var(--color-texte);
}

.active{
    background-color: var(--color-bouton);
    color: var(--color-texte);
}


/* DARK MOD */


#dark-mode{
    /* position: absolute; */
    /* left: 2%; */
    width: 60px;
    cursor: pointer;
    border-radius: 20px;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    -ms-border-radius: 20px;
    -o-border-radius: 20px;
}

#etoile-mode{
    
    position: relative;
    top: -28px;
    left: -15px;
    width: 20px;
    transition: 0.2s;
    -webkit-transform: 0.2s;
    -moz-transform: 0.2s;
    -ms-transform: 0.2s;
    -o-transform: 0.2s;
    
}

#back-mode{
    width: 60px;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

/* BTN DELETE COOKIE*/

#btn-cookie{
    font-size: 12px;
    background-color: #AD3D3D;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    padding: 5px;
    cursor: pointer;
    height: 20px;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

#btn-cookie:hover{
    background-color:#8C3131;
}



/*RESPONSIVE*/

@media (max-width:700px){
    .top-bar{
        display: none;
    }
}
